Bug 105387 - AttributeError: PartitionSpec instance has no attribute 'devce'
Summary: AttributeError: PartitionSpec instance has no attribute 'devce'
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: beta2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-25 16:27 UTC by Mike McLean
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-30 20:13:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McLean 2003-09-25 16:27:08 UTC
* Severn-0.94.1
* kickstart
* using bootloader --location=partion
* using part ... --onpart ...

Get the following traceback on VC1 as anaconda starts up.

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1067, in ?
    instCall.setInstallData(id)
  File "/usr/src/build/309579-i386/install//usr/lib/anaconda/kickstart.py", line
1242, in setInstallData
  File "/usr/src/build/309579-i386/install//usr/lib/anaconda/kickstart.py", line
690, in readKickstart
  File "/usr/src/build/309579-i386/install//usr/lib/anaconda/kickstart.py", line
1158, in definePartition
AttributeError: PartitionSpec instance has no attribute 'devce'

Comment 2 Michael Fulbright 2003-09-25 17:00:12 UTC
Jeremy committed a fix, probably not in B2 tho.

Comment 3 Mike McLean 2003-09-30 00:12:16 UTC
Fix confirmed in Cambridge-re0929.nightly

Comment 4 Mike McLean 2003-09-30 00:23:46 UTC
Nevermind, I was wrong.  This bug is still present in Cambridge-re0929.nightly.

Comment 6 Jeremy Katz 2003-10-16 18:33:17 UTC
This fix is definitely committed.  Might not have propagated to trees by 0929

Comment 7 Mike McLean 2003-10-30 20:13:21 UTC
Closing


Note You need to log in before you can comment on or make changes to this bug.